Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hornetq.rest.integration
Class ServletContextBindingRegistry

    java.lang.Object
      org.hornetq.rest.integration.ServletContextBindingRegistry

All Implemented Interfaces:
  org.hornetq.spi.core.naming.BindingRegistry

    public class ServletContextBindingRegistry

extends java.lang.Object
implements org.hornetq.spi.core.naming.BindingRegistry

Version:
  $Revision: 1 $
Author:
  Bill Burke

Constructor Summary
`ServletContextBindingRegistry(javax.servlet.ServletContext servletContext)`

Method Summary
`boolean` | `bind(java.lang.String name, java.lang.Object obj)`
`void` | `close()`
`java.lang.Object` | `getContext()`
`java.lang.Object` | `lookup(java.lang.String name)`
`void` | `setContext(java.lang.Object o)`
`void` | `unbind(java.lang.String name)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ServletContextBindingRegistry

    public ServletContextBindingRegistry(javax.servlet.ServletContext servletContext)

Method Detail

### lookup

    public java.lang.Object lookup(java.lang.String name)

  Specified by:
    `lookup` in interface `org.hornetq.spi.core.naming.BindingRegistry`

### bind

    public boolean bind(java.lang.String name,
                        java.lang.Object obj)

  Specified by:
    `bind` in interface `org.hornetq.spi.core.naming.BindingRegistry`

### unbind

    public void unbind(java.lang.String name)

  Specified by:
    `unbind` in interface `org.hornetq.spi.core.naming.BindingRegistry`

### close

    public void close()

  Specified by:
    `close` in interface `org.hornetq.spi.core.naming.BindingRegistry`

### getContext

    public java.lang.Object getContext()

  Specified by:
    `getContext` in interface `org.hornetq.spi.core.naming.BindingRegistry`

### setContext

    public void setContext(java.lang.Object o)

  Specified by:
    `setContext` in interface `org.hornetq.spi.core.naming.BindingRegistry`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012. All Rights Reserved.